org.encog.ml.ea.score.parallel

## Class ParallelScore

- java.lang.Object
- - org.encog.ml.ea.score.parallel.ParallelScore

- All Implemented Interfaces:
    MultiThreadable

      public class ParallelScore
      extends Object
      implements MultiThreadable

  This class is used to calculate the scores for an entire population. This is typically done when a new population must be scored for the first time.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParallelScore(Population thePopulation, GeneticCODEC theCODEC, List<AdjustScore> theAdjusters, CalculateScore theScoreFunction, int theThreadCount)` Construct the parallel score calculation object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<AdjustScore>` | `getAdjusters()`
    `GeneticCODEC` | `getCodec()`
    `Population` | `getPopulation()`
    `CalculateScore` | `getScoreFunction()`
    `int` | `getThreadCount()`
    `void` | `process()` Calculate the scores.
    `void` | `setThreadCount(int numThreads)` Set the number of threads to use.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParallelScore

          public ParallelScore(Population thePopulation,
                       GeneticCODEC theCODEC,
                       List<AdjustScore> theAdjusters,
                       CalculateScore theScoreFunction,
                       int theThreadCount)

      Construct the parallel score calculation object.
      Parameters:
        `thePopulation` - The population to score.
        `theCODEC` - The CODEC to use.
        `theAdjusters` - The score adjusters to use.
        `theScoreFunction` - The score function.
        `theThreadCount` - The requested thread count.

  - ### Method Detail

    - #### getPopulation

          public Population getPopulation()

      Returns:
        the population

    - #### getScoreFunction

          public CalculateScore getScoreFunction()

      Returns:
        the scoreFunction

    - #### getCodec

          public GeneticCODEC getCodec()

      Returns:
        the codec

    - #### process

          public void process()

      Calculate the scores.

    - #### getAdjusters

          public List<AdjustScore> getAdjusters()

      Returns:
        The score adjusters.

    - #### getThreadCount

          public int getThreadCount()

      Specified by:
        `getThreadCount` in interface `MultiThreadable`
      Returns:
        The desired number of threads.

    - #### setThreadCount

          public void setThreadCount(int numThreads)

      Description copied from interface: `MultiThreadable`
      Set the number of threads to use.
      Specified by:
        `setThreadCount` in interface `MultiThreadable`
      Parameters:
        `numThreads` - The desired thread count.

Copyright © 2014. All Rights Reserved.